Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

keep getting message 'you need to install flash player to play this content'

  • 4 replies
  • 2 have this problem
  • 6 views
  • Last reply by cor-el

more options

but flash is up to date (shockwave flash 16.0.0.305) and set to always activate. it is a plug in and i have uninstalled flash and reinstalled it. there is an earlier shockwave plug in (9.0.45.0 from 2007) with a red vulnerability warning next to it. ive tried to remove that but cant. however, that has been there with the warning message for years and this problem only started this week, seemingly at random

All Replies (4)

more options

Hi, try to uninstall with the next official uninstaller from Adobe : https://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html#main_Download_the_Adobe_Flash_Player_uninstaller

and then download the latest from the next link : https://www.adobe.com/products/flashplayer/distribution3.html

it is common, old versions together with new ones to cause such kind of problems

thank you

more options

followed all the above steps (also uninstalled and reinstalled firefox) the older version of flash still appears in add ons and i still get the install flash message

more options

The Message must be an Advertisment, Try installing Ads Blocking Softwares

more options

Your System Details list shows an old Flash 9.0 r45.

  • Shockwave Flash 16.0 r0
  • Shockwave Flash 9.0 r45

You can find the installation path of all plugins on the about:plugins page.

You can check the Flash player installation folder for multiple Flash player plugins and remove older version(s) of the plugin (NPSWF32) and possibly (re)install the latest Flash player.

  • (32 bit Windows) C:\Windows\System32\Macromed\Flash\
  • (64 bit Windows) C:\Windows\SysWOW64\Macromed\Flash\